Package lxml :: Package tests :: Module test_sax :: Class ETreeSaxTestCase

[frames] | no frames]

# Class ETreeSaxTestCase

source code

                   object --+
                            |
            unittest.TestCase --+
                                |
    common_imports.HelperTestCase --+
                                    |
                                   ETreeSaxTestCase

Nested Classes
Inherited from `unittest.TestCase`: `failureException`

Instance Methods

test_etree_sax_simple(self) | source code

test_etree_sax_double(self) | source code

test_etree_sax_comment(self) | source code

test_etree_sax_pi(self) | source code

test_etree_sax_comment_root(self) | source code

test_etree_sax_pi_root(self) | source code

test_etree_sax_attributes(self) | source code

test_etree_sax_ns1(self) | source code

test_etree_sax_ns2(self) | source code

test_sax_to_pulldom(self) | source code

test_element_sax(self) | source code

test_element_sax_ns(self) | source code

test_etree_sax_handler_default_ns(self) | source code

test_etree_sax_redefine_ns(self) | source code

test_etree_sax_no_ns(self) | source code

test_etree_sax_error(self) | source code

test_etree_sax_error2(self) | source code

Inherited from `common_imports.HelperTestCase`: `parse`, `tearDown`

Inherited from `unittest.TestCase`: `__call__`, `__init__`, `__repr__`, `__str__`, `assertAlmostEqual`, `assertAlmostEquals`, `assertEqual`, `assertEquals`, `assertNotAlmostEqual`, `assertNotAlmostEquals`, `assertNotEqual`, `assertNotEquals`, `assertRaises`, `assertTrue`, `assert_`, `countTestCases`, `debug`, `defaultTestResult`, `fail`, `failIf`, `failIfAlmostEqual`, `failIfEqual`, `failUnless`, `failUnlessAlmostEqual`, `failUnlessEqual`, `failUnlessRaises`, `id`, `run`, `setUp`, `shortDescription`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `common_imports.HelperTestCase`: `assertFalse`

Properties
Inherited from `object`: `__class__`